extends Scene


func _on_island_garden_interacted() -> void:
	$kq4_038_island_garden.default_script(self)


func _on_island_beach_interacted() -> void:
	$kq4_034_island_beach.default_script(self)


func _on_island_shore_interacted() -> void:
	$kq4_041_island_shore.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You stare out at the ocean and the white sand beach of this secluded island. From the middle of the island, a majestic ivory palace towers, surrounded by a lovely manicured garden.")
	).build(self, "_on_script_complete"))


func _on_beach_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("The warm sand feels nice between your toes. Palm trees sway in the breeze.")
	).build(self, "_on_script_complete"))
